package com.logicbig.example;

import org.primefaces.model.menu.*;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class MenuBean {
    private MenuModel model;
    private DefaultSubMenu rootMenu;

    @PostConstruct
    public void init() {
        model = new DefaultMenuModel();
        rootMenu = new DefaultSubMenu("Menu");
        model.addElement(rootMenu);
        addMenu("File", "New", "Open", "Close", "Exit");
        addMenu("Edit", "Undo", "Redo", "Cut", "Copy");
        addMenu("View", "Summary", "Settings", "Layout");
        addMenu("Help", "Help topics", "Support");
    }


    public void addMenu(String label, String... items) {

        DefaultMenuColumn column = new DefaultMenuColumn();

        //a submenu inside column
        DefaultSubMenu theColumnMenu = new DefaultSubMenu(label);
        column.addElement(theColumnMenu);

        for (Object item : items) {
            DefaultMenuItem mi = new DefaultMenuItem(item);
            mi.setUrl("#");
            theColumnMenu.addElement(mi);
        }
        //the main menu has columns instead of items
        rootMenu.addElement(column);
    }

    public MenuModel getMenuModel() {
        return model;
    }
}